# module Puppet::Configurer::PluginHandler

Break out the code related to plugins. This module is just included into the agent, but having it here makes it easier to test.

### Public Instance Methods

download_plugins() click to toggle source

Retrieve facts from the central server.

    # File lib/puppet/configurer/plugin_handler.rb, line 6
    def download_plugins
      plugin_downloader = Puppet::Configurer::Downloader.new(
        "plugin",
        Puppet[:plugindest],
        Puppet[:pluginsource],
        Puppet[:pluginsignore],
        @environment
      )

      plugin_downloader.evaluate
      Puppet::Util::Autoload.reload_changed
    end